{% set CodiceModulo = "RICH_ISCR_PREPOST" %}
{% set Urn = "document:c_g852:pre.post.scuola;iscrizione;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
   { "codice":"RIC-DIR-SEG",
     "urn":"document:s_italia:diritti.segreteria.istruttoria;ricevuta",
     "descrizione_tabella_allegati":"Ricevuta di pagamento dei diritti di segreteria",
     "annotazioni_tabella_allegati":"(da allegare se previsti)",
     "descrizione_meta":"", 
     "filename":"Ricev. diritti segreteria",
     "firmatari":"Titolare_CodiceFiscale",
     "firmatari_label":"il dichiarante",
     "firmato":"NO",
     "numero":"1",
     "dimensione":"15",
     "enabled":"",
     "dynamic_check":"",
     "tipo":"allegato",
     "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
   },
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
  },
  { "codice":"PAG-ANN-PRE",
  "urn":"document:c_g852:pagamenti.quota.anni.precedenti",
  "descrizione_tabella_allegati":"Copia della ricevuta di pagamento per la quota d'iscrizione pagata precedentemente",
  "annotazioni_tabella_allegati":"(da allegare solo se la quota è d'iscrizione è stata versata gli anni precedenti)",
  "descrizione_meta":"", 
  "filename":"FILENAME",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"#Tassonomia_PagamentiIscrizioneQuota1.checked()",
  "dynamic_check":"#Tassonomia_PagamentiIscrizioneQuota1.checked()",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
}
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda per il servizio di assistenza pre scolastica"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|19/03/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Domanda per il servizio di assistenza pre scolastica {% endblock title %}

{% block content %}
  

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase()  + ' - domanda servizio sassistenza pre scolastica'" id="Oggetto" name="Oggetto" type="hidden"/>

<h1 class="Modulo">
  Domanda per il servizio di assistenza pre scolastica
</h1>

{{ utils_scolastici.anno_scolastico(intestazione = "anno scolastico") }}

<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", intestazione="Il sottoscritto", visibility_intestazione="visibility:visibility", visibility_residenza="visibility:visibility", visibility_mail="mail_ordinaria", cf_obbligatorio="true", pec_obbligatoria ="false", mailordinaria_obbligatoria="false", visibility_domicilio="display:none",visibility_datanascita="visibility:visibility"  )}}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<input id="Minore_DatiPersonaObbligatori" name="Minore_DatiPersonaObbligatori" type="hidden" dynamic_check="true"/>
<input id="Minore_Titolo" name="Minore_Titolo" type="hidden" value="Minore"/>
<input id="Minore_Ruolo" name="Minore_Ruolo" type="hidden" value="Minore"/>
{{ anagrafica.persona_fisica( prefix="Minore", intestazione="genitore o tutore del minore", visibility_intestazione="visibility:visibility", visibility_residenza="display:none", visibility_mail="display:none", cf_obbligatorio="true", pec_obbligatoria ="false", mailordinaria_obbligatoria="false", visibility_domicilio="display:none",visibility_datanascita="visibility:visibility"  )}}

<h3 class="Modulo">
  CHIEDE
</h3>

<p class="Modulo">
  di poter usufruire del servizio di assistenza prescolastica per il proprio figlio durante l’anno scolastico in oggetto per il seguente motivo
</p>

<table class="Modulo" style="border: 0px;">
  <tbody>
    <tr>
      <td style="vertical-align: top; width: 4%;border-bottom: 0px;background-color: white;" rowspan="4">
        <div id="Tassonomia_Chiede" name="Tassonomia_Chiede" label="Chiede" mandatory="true"></div>
        <input group="Tassonomia_Chiede" id="Tassonomia_Chiede1" name="Tassonomia_Chiede1" type="checkbox" value="SI" />
      </td>
      <td colspan="3">
        <p>
          gli orari di lavoro dei genitori sono inconciliabili con l’inizio delle lezioni scolastiche in quanto i genitori svolgono le seguenti professioni
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td colspan="2">
        <p class="Labelcella">
          padre
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Professione
        </p>
      </td>
      <td style="width: 50%;">
        <p class="Labelcella">
          Orario di lavoro
        </p>
      </td>
    </tr>
    <tr style="border-bottom: 0px;">
      <td>
        <input class="inputNormal" id="Parametri_Professione" name="Parametri_Professione" style="width: 100%;" label="Professione" mandatory_enabled="#Tassonomia_Chiede1.checked()" />
      </td>
      <td>
        <input class="inputNormal" id="Parametri_OrarioLavoro" name="Parametri_OrarioLavoro" style="width: 100%;" label="Orario di lavoro padre" mandatory_enabled="#Tassonomia_Chiede1.checked()" format="time"/>
      </td>
    </tr>
  </tbody>
</table>
<table class="Modulo" style="border: 0px; margin-top: -1px;">
  <tbody>    
    <tr style="border-top: 0px;">
      <td style="vertical-align: top; width: 4%;border-top: 0px;border-bottom: 0px;background-color: white;" rowspan="4"></td>
      <td style="vertical-align: top; width: 4%; ">
        <div id="Tassonomia_DipendentePadre" name="Tassonomia_DipendentePadre" label="Padre dipendente o lavoratore in proprio" mandatory_enabled="#Tassonomia_Chiede1.checked()"></div>
        <input id="Tassonomia_DipendentePadre1" name="Tassonomia_DipendentePadre" type="radio" value="1" />
      </td>
      <td colspan="2">
        <p>
          in proprio
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%; background-color: white;" rowspan="3">
        <input id="Tassonomia_DipendentePadre2" name="Tassonomia_DipendentePadre" type="radio" value="1" />
      </td>
      <td colspan="2">
        <p>
          dipendente presso
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Presso
        </p>
      </td>
      <td style="width: 50%;">
        <p class="Labelcella">
          Sede a
        </p>
      </td>
    </tr>
    <tr style="border-bottom: 0px;">
      <td>
        <input class="inputNormal" id="Parametri_DipendentePressoPadre" name="Parametri_DipendentePressoPadre" style="width: 100%;" label="Padre dipendente presso" mandatory_enabled="#Tassonomia_DipendentePadre2.checked()"/>
      </td>
      <td>
        <input class="inputNormal" id="Parametri_SedePadre" name="Parametri_SedePadre" style="width: 100%;" label="SedeLavoroPadre" mandatory_enabled="#Tassonomia_DipendentePadre2.checked()" />
      </td>
    </tr>
  </tbody>
</table>
<table class="Modulo" style="border: 0px;margin-top: -1px;">
  <tbody>
    <tr style="border-top: 0px;" class="Rigaintestazioneridotta">
      <td style="vertical-align: top; width: 4%;background-color: white;border-top: 0px;border-bottom: 0px;" rowspan="3"></td>
      <td colspan="2">
        <p class="Labelcella">
          madre
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Professione
        </p>
      </td>
      <td style="width: 50%;">
        <p class="Labelcella">
          Orario di lavoro
        </p>
      </td>
    </tr>
    <tr style="background-color: white;border-bottom: 0px;">
      <td>
        <input class="inputNormal" id="Parametri_Professione1" name="Parametri_Professione1" style="width: 100%;" label="Professione madre" mandatory_enabled="#Tassonomia_Chiede1.checked()" />
      </td>
      <td>
        <input class="inputNormal" id="Parametri_OrarioLavoro1" name="Parametri_OrarioLavoro1" style="width: 100%;" label="Orario di lavoro madre" mandatory_enabled="#Tassonomia_Chiede1.checked()" format="time"/>
      </td>
    </tr>
  </tbody>
</table>
<table class="Modulo" style="border: 0px; margin-top: -1px;">
  <tbody>    
    <tr style="border-top: 0px;">
      <td style="vertical-align: top; width: 4%;background-color: white;border-top: 0px;" rowspan="4"></td>
      <td style="vertical-align: top; width: 4%;">
        <div id="Tassonomia_DipendenteMadre" name="Tassonomia_DipendenteMadre" label="Madre dipendente o lavoratore in proprio" mandatory_enabled="#Tassonomia_Chiede1.checked()"></div>
        <input id="Tassonomia_DipendenteMadre1" name="Tassonomia_DipendenteMadre" type="radio" value="1" />
      </td>
      <td colspan="2">
        <p>
          in proprio
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%; background-color: white;" rowspan="3">
        <input id="Tassonomia_DipendenteMadre2" name="Tassonomia_DipendenteMadre" type="radio" value="1" />
      </td>
      <td colspan="2">
        <p>
          dipendente presso
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Presso
        </p>
      </td>
      <td style="width: 50%;">
        <p class="Labelcella">
          Sede a
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <input class="inputNormal" id="Parametri_DipendentePressoMadre" name="Parametri_DipendentePressoMadre" style="width: 100%;" label="Madre dipendente presso" mandatory_enabled="#Tassonomia_DipendenteMadre2.checked()"/>
      </td>
      <td>
        <input class="inputNormal" id="Parametri_SedeMadre" name="Parametri_SedeMadre" style="width: 100%;" label="SedeLavoroMadre" mandatory_enabled="#Tassonomia_DipendenteMadre2.checked()" />
      </td>
    </tr>
  </tbody>
</table>

<globo_salto_pagina></globo_salto_pagina>

<table class="Modulo" style="border: 1px solid grey;margin-top: 0px;">
  <tbody>    
    <tr>
      <td style="vertical-align: top; width: 4%;background-color: white;" rowspan="3">
        <input group="Tassonomia_Chiede" id="Tassonomia_Chiede2" name="Tassonomia_Chiede2" type="checkbox" value="SI" />
      </td>
      <td>
        <p>
          per le seguenti necessità familiari
        </p>
      </td>
    </tr>   
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Descrizione
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <textarea class="inputNormal" id="Parametri_DescrizioneNecFamiliari" name="Parametri_DescrizioneNecFamiliari" style="width: 100%; height: 5cm;" label="Descrizione necessità familiari" mandatory_enabled="#Tassonomia_Chiede2.checked()"></textarea>
      </td>
    </tr>
  </tbody>
</table>

<h3 class="Modulo">
  COMUNICA
</h3>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    {% set testi = [
       "di aver già provveduto a pagare la quota d'iscrizione gli anni passati",
       "di pagare per la prima volta la quota d'iscirzione" 
 ]%}
 {% for testo in testi %}
   <tr>
    <td style="vertical-align: top; width: 4%;" >
       {% if loop.first %} <div id="Tassonomia_PagamentiIscrizioneQuota" name="Tassonomia_PagamentiIscrizioneQuota" label="Label" mandatory_enabled="true"></div>{% endif %}
       <input id="Tassonomia_PagamentiIscrizioneQuota{{ loop.index }}" name="Tassonomia_PagamentiIscrizioneQuota" type="radio" value="{{ loop.index }}" />
     </td>
     <td><p>{{ testo|safe }}</p></td>
   </tr>
 {% endfor %}
  </tbody>
</table>

<br/>

{{ utils.eventuali_annotazioni()}}

<br/>

<table class="Modulo" style="border:1px solid grey">
 <tbody>
  <tr class="Rigaintestazione">
   <td colspan="2">
    <p style="text-align: center;">
     <b>
      Elenco degli allegati
     </b>
     <br/>
     <span style="font-size:70%">
      <i>
       (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale)
      </i>
     </span>
    </p>
   </td>
  </tr>
  {% for allegato in allegati %}
  <tr>
   <td style="vertical-align: top; width: 4%;">
    <input id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %} />  
  {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
   </td>
   <td style="background-color: #eeeeee;">
    <p>
       {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %}<br/><span style="font-size:70%"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}
      </p>
    </td>
  </tr>                     
{% endfor %}
  <tr>
   <td style="vertical-align: top; width: 4%;">
    <input id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" type="checkbox" value="OBBLIGATORIO"/>
   </td>
   <td style="background-color: #eeeeee;">
    <p>
     altri allegati
     <span style="font-size:70%">
      (specificare)
     </span>
     <input class="inputNormal" id="AltriAllegati" label="Altri allegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()" name="AltriAllegati" style="width:79%;"/>
    </p>
   </td>
  </tr>
 </tbody>
</table>

<br/>

{{ utils.trattamento_dati_personali() }}

<br/>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="2">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<br/>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>

<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>

<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
